Автор Тема: Падает CUPS - inactive (dead)  (Прочитано 5689 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Cizar

Падает CUPS - inactive (dead)
« : 18 Августа 2014, 09:27:49 »
Добрый день.

По ошибке сначала написал не в тот раздел.

Падает Cups, после запуска системы все работает, запускаешь LibreOffice или открываешь PDF, пытаешься распечатать и он падает.
Вывод /etc/init.d/cups status
Spoiler: ShowHide
cups.service - CUPS Printing Service
   Loaded: loaded (/lib/systemd/system/cups.service; enabled)
   Active: inactive (dead) since Пт 2014-08-15 11:42:05 YEKT; 9min ago
     Docs: man:cupsd(8)
           man:cupsd.conf(5)
  Process: 1575 ExecStart=/usr/sbin/cupsd -f (code=exited, status=0/SUCCESS)
 Main PID: 1575 (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/cups.service


В логе насторожило только два момента:
[CGI] error: Failed to create /var/spool/cups/tmp/.hplipИ часто встречающаяся
cupsd is not idle any more, canceling shutdown.
Права на папку проверял, пользователь в группах lp и lpadmin числится.

Но если поставить уровень логирования error, так он вообще пустой.
Лог в режиме debug приложил.

Пользователь из меня не уверенный, нуб если угодно.
Гугл и прочий поиск не помог.

[вложение удалено администратором]
 

Оффлайн ihammers

Re: Падает CUPS - inactive (dead)
« Ответ #1 : 18 Августа 2014, 09:43:57 »
Добрый день.
У меня такой вопрос: вылетает при печати любого документа или только при печати PDF?
Выложите под спойлером содержания файлов:
~# cat /etc/cups/printers.conf
~# cat /etc/cups/cupsd.conf

PS: система тестинговая?
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290
 

Оффлайн Cizar

Re: Падает CUPS - inactive (dead)
« Ответ #2 : 18 Августа 2014, 09:53:42 »
Да, система тестинговая.

Вылетает еще до печати, видимо при обращении программ к cups (не знаю как именно)
Через веб-интерфейс, например, сразу после загрузки заходишь, все работает, а через какое-то время (работал только браузер) веб-интерфейс недоступен и cusp сдох.

cupsd.conf
Spoiler: ShowHide
# Show troubleshooting information in error_log.
LogLevel debug
MaxLogSize 0
Listen localhost:631
Listen /var/run/cups/cups.sock
Browsing On
BrowseLocalProtocols dnssd
DefaultAuthType Basic
WebInterface Yes
<Location />
  Order allow,deny
</Location>
<Location /admin>
  Order allow,deny
</Location>
<Location /admin/conf>
  AuthType Default
  Require user @SYSTEM
  Order allow,deny
</Location>
<Policy default>
  JobPrivateAccess default
  JobPrivateValues default
  SubscriptionPrivateAccess default
  SubscriptionPrivateValues default
  <Limit Create-Job Print-Job Print-URI Validate-Job>
    Order deny,allow
  </Limit>
  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job Cancel-My-Jobs Close-Job CUPS-Move-Job CUPS-Get-Document>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default CUPS-Get-Devices>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After Cancel-Jobs CUPS-Accept-Jobs CUPS-Reject-Jobs>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Cancel-Job CUPS-Authenticate-Job>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit All>
    Order deny,allow
  </Limit>
</Policy>
<Policy authenticated>
  JobPrivateAccess default
  JobPrivateValues default
  SubscriptionPrivateAccess default
  SubscriptionPrivateValues default
  <Limit Create-Job Print-Job Print-URI Validate-Job>
    AuthType Default
    Order deny,allow
  </Limit>
  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job Cancel-My-Jobs Close-Job CUPS-Move-Job CUPS-Get-Document>
    AuthType Default
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After Cancel-Jobs CUPS-Accept-Jobs CUPS-Reject-Jobs>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Cancel-Job CUPS-Authenticate-Job>
    AuthType Default
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit All>
    Order deny,allow
  </Limit>
</Policy>


printers.conf
Spoiler: ShowHide
# Printer configuration file for CUPS v1.7.4
# Written by cupsd
# DO NOT EDIT THIS FILE WHEN CUPSD IS RUNNING
<Printer HP_LaserJet_Professional_M1132_MFP>
UUID urn:uuid:b3be4a41-8fb2-3ad4-518e-899572dbeb78
Info HP LaserJet Professional M1132 MFP
Location 326
DeviceURI hp:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000000000QH4CD87PR1a
PPDTimeStamp *
State Idle
StateTime 1408083186
Type 36876
Accepting Yes
Shared No
ColorManaged No
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
</Printer>
<DefaultPrinter PDF>
UUID urn:uuid:adc40cd2-70c7-3f55-483f-4e7b920a912b
Info PDF
DeviceURI cups-pdf:/
PPDTimeStamp *
State Idle
StateTime 1408013501
Type 8450124
Accepting Yes
Shared No
ColorManaged Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
</Printer>
 

Оффлайн ihammers

Re: Падает CUPS - inactive (dead)
« Ответ #3 : 19 Августа 2014, 07:49:50 »
Так... давайте проверим наличие версий cups и hplip, однажды у меня была такая проблема. Если правильно помню, то решил её сносом всего cups и hplip и повторной его установкой с настройкой принтера через hp-setup, с установкой плугина от HP.
Но для начала проверим версии пакетов и то что выдаёт hp-check:
~$ dpkg -l | grep cups
~$ dpkg -l | grep hplip
~$ hp-check > hpcheck.txt
Скрипт hp-check может выдать в конце выполнения список "не достающих" пакетов, данные пакеты не всегда необходимы для работы cups и hplip.
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290
 

Оффлайн Cizar

Re: Падает CUPS - inactive (dead)
« Ответ #4 : 19 Августа 2014, 09:27:18 »
Пробовал сносить и ставить заново, но без hp-setup, не помогло.

cups
Spoiler: ShowHide
[code]ii  cups                                                        1.7.4-4                           amd64        Common UNIX Printing System(tm) - PPD/driver support, web interface
ii  cups-browsed                                                1.0.55-1                          amd64        OpenPrinting CUPS Filters - cups-browsed
ii  cups-client                                                 1.7.4-4                           amd64        Common UNIX Printing System(tm) - client programs (SysV)
ii  cups-common                                                 1.7.4-4                           all          Common UNIX Printing System(tm) - common files
ii  cups-core-drivers                                           1.7.4-4                           amd64        Common UNIX Printing System(tm) - PPD-less printing
ii  cups-daemon                                                 1.7.4-4                           amd64        Common UNIX Printing System(tm) - daemon
ii  cups-filters                                                1.0.55-1                          amd64        OpenPrinting CUPS Filters - Main Package
ii  cups-filters-core-drivers                                   1.0.55-1                          amd64        OpenPrinting CUPS Filters - PPD-less printing
ii  cups-pdf                                                    2.6.1-9                           amd64        PDF writer backend for CUPS
ii  cups-pk-helper                                              0.2.5-2                           amd64        PolicyKit helper to configure cups with fine-grained privileges
ii  cups-ppdc                                                   1.7.4-4                           amd64        Common UNIX Printing System(tm) - PPD manipulation utilities
ii  cups-server-common                                          1.7.4-4                           all          Common UNIX Printing System(tm) - server common files
ii  libcups2:amd64                                              1.7.4-4                           amd64        Common UNIX Printing System(tm) - Core library
ii  libcupscgi1:amd64                                           1.7.4-4                           amd64        Common UNIX Printing System(tm) - CGI library
rc  libcupsdriver1:amd64                                        1.5.3-5+deb7u1                    amd64        Common UNIX Printing System(tm) - Driver library
ii  libcupsfilters1:amd64                                       1.0.55-1                          amd64        OpenPrinting CUPS Filters - Shared library
ii  libcupsimage2:amd64                                         1.7.4-4                           amd64        Common UNIX Printing System(tm) - Raster image library
ii  libcupsmime1:amd64                                          1.7.4-4                           amd64        Common UNIX Printing System(tm) - MIME library
ii  libcupsppdc1:amd64                                          1.7.4-4                           amd64        Common UNIX Printing System(tm) - PPD manipulation library
ii  printer-driver-hpcups                                       3.14.6-1                          amd64        HP Linux Printing and Imaging - CUPS Raster driver (hpcups)
ii  python-cups                                                 1.9.63-1                          amd64        Python bindings for CUPS
ii  python-cupshelpers                                          1.4.3-4                           all          Python utility modules around the CUPS printing system


hplip
Spoiler: ShowHide
ii  hplip                                                       3.14.6-1                          amd64        HP Linux Printing and Imaging System (HPLIP)
ii  hplip-data                                                  3.14.6-1                          all          HP Linux Printing and Imaging - data files
ii  hplip-gui                                                   3.14.6-1                          all          HP Linux Printing and Imaging - GUI utilities (Qt-based)[/code]


hplip.conf
Spoiler: ShowHide
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.14.6

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/hplip/HP
ppdbase=/usr/share/ppd/hplip
doc=/usr/share/doc/hplip-doc/HTML
html=/usr/share/doc/hplip-3.14.6
icon=no
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv
bin=/usr/bin

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=yes
foomatic-drv-install=yes
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.14.6
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=yes
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no


Запустил еще hp-doctor
Spoiler: ShowHide
HP Linux Imaging and Printing System (ver. 3.14.6)
Self Diagnse Utility and Healing Utility ver. 1.0

Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

\
 

Checking for Deprecated items....
error: This distro (i.e debian  testing) is either deprecated or not yet supported.
The diagnosis is limited on unsupported platforms. Do you want to continue?(y=yes*, n=no):

Checking for HPLIP updates....
error: Failed to locate hp-upgrade utility


Checking for Dependencies....
warning: debian-testing version is not supported. Using debian-7.5 versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------

 Kernel: 3.14-2-amd64 #1 SMP Debian 3.14.15-2 (2014-08-09) GNU/Linux
 Host: host
 Proc: 3.14-2-amd64 #1 SMP Debian 3.14.15-2 (2014-08-09) GNU/Linux
 Distribution: debian testing
 Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.14.6
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for debian distro  testing version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.14.6

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/hplip/HP
ppdbase=/usr/share/ppd/hplip
doc=/usr/share/doc/hplip-doc/HTML
html=/usr/share/doc/hplip-3.14.6
icon=no
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv
bin=/usr/bin

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=yes
foomatic-drv-install=yes
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.14.6
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=yes
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no


Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: ??? ?????? ????? ??? ????????

Current contents of '~/.hplip/hplip.conf' file:
[last_used]
device_uri = hp:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000000000QH4CD87PR1a

[installation]
date_time = 19.08.2014 11:20:43
version = 3.14.6


 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

--------------------------
|  External Dependencies |
--------------------------

 policykit            Admin-Policy-framework    OPTIONAL        -               0.105           OK         -
 gs                   Ghostscript               REQUIRED        7.05            9.05            OK         -
 network              Network-wget              OPTIONAL        -               1.15            OK         -
 scanimage            Shell-Scanning            OPTIONAL        1.0             1.0.24          OK         -
 error: avahi-utils   avahi-utils               OPTIONAL        -               -               MISSING    'avahi-utils needs to be installed'
 error: dbus          DBus                      REQUIRED        -               1.8.6           MISSING    'DBUS may not be installed or not running'
 error: cups          CUPS                      REQUIRED        1.1             -               INCOMPAT   'CUPS may not be installed or not running'
 error: xsane         SANE-GUI                  OPTIONAL        0.9             -               MISSING    'xsane needs to be installed'

-------------------------
|  General Dependencies |
-------------------------

 reportlab            Python-PDF-Lib            OPTIONAL        2.0             3.0             OK         -
 error: libcrypto     OpenSSL-Crypto-Lib        REQUIRED        -               1.0.1           MISSING    'libcrypto needs to be installed'
 pil                  Python-Image-Lib          OPTIONAL        -               1.1.7           OK         -
 pyqt4-dbus           PyQt4-DBUS                REQUIRED        4.0             4.11.1          OK         -
 error: libjpeg       JPEG-Lib                  REQUIRED        -               -               MISSING    'libjpeg needs to be installed'
 libpthread           POSIX-Threads-Lib         REQUIRED        -               2.19            OK         -
 python-dbus          Python-DBUS               REQUIRED        0.80.0          1.2.0           OK         -
 error: python-devel  Python-SDK                REQUIRED        2.2             2.7.8           MISSING    'python-devel needs to be installed'
 pyqt4                Python-Qt4                REQUIRED        4.0             4.11.1          OK         -
 error: cups-devel    CUPS-SDK                  REQUIRED        -               -               MISSING    'cups-devel needs to be installed'
 error: sane-devel    SANE-SDK                  REQUIRED        -               -               MISSING    'sane-devel needs to be installed'
 error: libusb        USB-Lib                   REQUIRED        -               1.0             MISSING    'libusb needs to be installed'
 sane                 Scan-Lib                  REQUIRED        -               -               OK         -
 error: cups-image    CUPS-Image-Lib            REQUIRED        -               -               MISSING    'cups-image needs to be installed'
 error: libnetsnmp-devel SNMP-Networking-SDK       REQUIRED        5.0.9           -               MISSING    'libnetsnmp-devel needs to be installed'
 python-xml           Python-XML-Lib            REQUIRED        -               2.1.0           OK         -
 python-notify        Desktop-notifications     OPTIONAL        -               -               OK         -

------------------------------
|  Compile Time Dependencies |
------------------------------

 gcc                  gcc-Compiler              REQUIRED        -               4.9.1           OK         -
 error: libtool       Build-tools               REQUIRED        -               -               MISSING    'libtool needs to be installed'
 make                 GNU-Build-tools           REQUIRED        3.0             4.0             OK         -

----------------------
|  Python Extentions |
----------------------

 cupsext              CUPS-Extension            REQUIRED        -               3.14.6          OK         -
 pcardext             PhotoCard-Extension       REQUIRED        -               3.14.6          OK         -
 hpmudext             IO-Extension              REQUIRED        -               3.14.6          OK         -

-----------------------
|  Scan Configuration |
-----------------------

 hpaio                HPLIP-SANE-Backend        REQUIRED        -               3.14.6          OK         'hpaio found in /etc/sane.d/dll.conf'
 scanext              Scan-SANE-Extension       REQUIRED        -               3.14.6          OK         -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

device `hpaio:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000000000QH4CD87PR1a' is a Hewlett-Packard HP_LaserJet_Professional_M1132_MFP all-in-one


--------------------------
| DISCOVERED USB DEVICES |
--------------------------

  Device URI                        Model                           
  --------------------------------  --------------------------------
  hp:/usb/HP_LaserJet_Professional  HP LaserJet Professional M1132 
  _M1132_MFP?serial=000000000QH4CD  MFP                             
  87PR1a                                                           

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
HP_LaserJet_Professional_M1132_MFP
----------------------------------
Type: Printer
Device URI: hp:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000000000QH4CD87PR1a
PPD: /etc/cups/ppd/HP_LaserJet_Professional_M1132_MFP.ppd
PPD Description: HP LaserJet Professional m1132 MFP, hpcups 3.14.6, requires proprietary plugin
Printer status: printer HP_LaserJet_Professional_M1132_MFP is idle.  enabled since Пн 18 авг 2014 14:18:48
error: Required plug-in status: Not installed
Communication status: Good


--------------
| PERMISSION |
--------------

USB             HP_LaserJet_Professional_M1132_MFP Required        -        -        OK       Node:'/dev/bus/usb/001/002' Perm:'  root  lp rw- rw- rw- rw- rw- r--'
Missing Required Dependencies
-----------------------------
error: 'libdbus-1-dev' package is missing/incompatible
error: 'libcups2' package is missing or 'cups' service is not running.
error: 'libssl-dev' package is missing/incompatible
error: 'libjpeg8-dev' package is missing/incompatible
error: 'python-dev' package is missing/incompatible
error: 'libcups2-dev' package is missing or 'cups' service is not running.
error: 'cups-bsd' package is missing or 'cups' service is not running.
error: 'cups-client' package is missing or 'cups' service is not running.
error: 'libsane-dev' package is missing/incompatible
error: 'libusb-1.0.0-dev' package is missing/incompatible
error: 'libcupsimage2' package is missing or 'cups' service is not running.
error: 'libcupsimage2-dev' package is missing or 'cups' service is not running.
error: 'libsnmp-dev' package is missing/incompatible
error: 'libtool' package is missing/incompatible
Missing Optional Dependencies
-----------------------------
error: 'avahi-utils' package is missing/incompatible
error: 'xsane' package is missing/incompatible


[вложение удалено администратором]
 

Оффлайн ihammers

Re: Падает CUPS - inactive (dead)
« Ответ #5 : 29 Августа 2014, 06:29:00 »
Попробуйте обновить ещё раз систему.
Есть ли какие-нибудь изменения в ситуации за последнее время?

PS: у мобильного интернета есть одно плохое качество, трафик заканчивается..., а ограничение в 64 кб даёт о себе знать очень быстро.
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290
 

Оффлайн Cizar

Re: Падает CUPS - inactive (dead)
« Ответ #6 : 01 Сентября 2014, 13:08:01 »
Обновил, ситуация не изменилась.

Есть ли возможность понизить версии cups и hplip до стабильных? Пробовал, но не совладал с кучей зависимостей и не уверен, что вообще правильно это делаю.
Приемлемо ли это и, если да, то буду благодарен за руководство.

P.S.: Запускать VBox каждый раз, чтобы напечатать документ уже надоедает.
Стабильная версия Debian мне из-за новой интеловской видеокарты не подходит, пробовал исправить, но безуспешно - либо без иксов, либо альтернативный режим gnome и зависания.
А на тестовой версии пока только с cups проблема.
 

Оффлайн sandaksatru

Re: Падает CUPS - inactive (dead)
« Ответ #7 : 01 Сентября 2014, 14:33:49 »
Есть ли возможность понизить версии cups и hplip до стабильных?
Если у них нет жёстких зависимостей с проблемами, то можно. Для этого нужно добавить репозиторий стэбла и при установки указать выпуск (ЕМНИП, apt-get install -t=stable имена_пакетов), из которого будете ставить пакеты. И я б на вашем месте попробовал наоборот обновиться до sid'a.
 

Оффлайн Cizar

Re: Падает CUPS - inactive (dead)
« Ответ #8 : 10 Октября 2014, 08:23:02 »
Попробовал понизить версию cups, столкнулся с жесткими зависимостями которые не смог решить предложенными aptitude решениями - libcups2 тянет за собой полсистемы.

До сида не рискую пока обновлятся.

Проблема осталась, куда копать не знаю уже(
 

Оффлайн Cizar

Re: Падает CUPS - inactive (dead)
« Ответ #9 : 10 Октября 2014, 10:01:39 »
Обнаружил следующее, что если cups сдох, но в этот момент попытаться напечатать скажем из браузера - cups перезапускается и печать идет.
Проверил с других приложений - также перезапускается cups.

Неудобство остается только в настройке, т.к. веб интерфейс недоступен, ну и я никак не могу добавить принтер в Office 2007 установленный через PlayOnLinux.

Везде пишут следующее - принтеры автоматом тянутся из cups. Но как руками протянуть нигде не смог найти.
Подскажите как руками прописать принтер в playonlinux(wine)? (Выделять в отдельную тему этот вопрос нужно?)
 

Оффлайн lumberjack

Re: Падает CUPS - inactive (dead)
« Ответ #10 : 11 Октября 2014, 12:08:29 »
... никак не могу добавить принтер в Office 2007 установленный через PlayOnLinux.
system-config-printer
ps
POL == помойка
« Последнее редактирование: 11 Октября 2014, 12:10:14 от lumberjack »
 

Оффлайн Cizar

Re: Падает CUPS - inactive (dead)
« Ответ #11 : 13 Октября 2014, 08:10:23 »
system-config-printer
Как замена веб-интерфейсу да, но как добавить принтер в POL?

Подразумевается, что он автоматом тянет все принтеры из cups, но этого не происходит. Видимо из-за того, что cups падает.
Вопрос в том, как руками добавить принтер в wine (POL)?
 

Теги:
     

    Падает flush

    Автор SeHELLioN

    Ответов: 1
    Просмотров: 1533
    Последний ответ 11 Марта 2012, 23:44:53
    от vladimir_ar
    Падает Firefox на rutube [РЕШЕНО]

    Автор mexx

    Ответов: 12
    Просмотров: 8240
    Последний ответ 08 Июля 2017, 23:39:38
    от mexx
    Падает разрешение экрана после перезагрузки.

    Автор izamoo

    Ответов: 5
    Просмотров: 2193
    Последний ответ 19 Мая 2015, 05:26:23
    от ihammers
    Падает Firefox. Постоянно

    Автор Modigar

    Ответов: 1
    Просмотров: 872
    Последний ответ 15 Апреля 2019, 20:19:54
    от Modigar
    Падает CUPS

    Автор M1chA

    Ответов: 11
    Просмотров: 3335
    Последний ответ 26 Октября 2015, 10:20:44
    от ferum